
From: Mika Kukkonen <mika@osdl.org>

  CC      mm/swapfile.o
mm/swapfile.c: In function `scan_swap_map':
mm/swapfile.c:114: warning: comparison between signed and unsigned

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/swapfile.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN mm/swapfile.c~sign-fix-in-swapfilec mm/swapfile.c
--- 25/mm/swapfile.c~sign-fix-in-swapfilec	2004-07-26 15:10:58.338494704 -0700
+++ 25-akpm/mm/swapfile.c	2004-07-26 15:10:58.343493944 -0700
@@ -110,7 +110,7 @@ static inline int scan_swap_map(struct s
  check_next_cluster:
 	if (offset+SWAPFILE_CLUSTER-1 <= si->highest_bit)
 	{
-		int nr;
+		unsigned long nr;
 		for (nr = offset; nr < offset+SWAPFILE_CLUSTER; nr++)
 			if (si->swap_map[nr])
 			{
_
